Last Comment Bug 709402 - Form history repository layer
: Form history repository layer
Status: VERIFIED FIXED
[sync]
:
Product: Android Background Services
Classification: Client Software
Component: Android Sync (show other bugs)
: unspecified
: All Android
: P1 normal
: mozilla14
Assigned To: Nick Alexander :nalexander
:
:
Mentors:
Depends on: 725881 730557 733422
Blocks: 709401 742104
  Show dependency treegraph
 
Reported: 2011-12-09 16:19 PST by Allison Naaktgeboren :ally
Modified: 2013-04-04 13:48 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
beta+


Attachments
Stub for Aurora approval. (7 bytes, text/plain)
2012-03-23 11:11 PDT, Richard Newman [:rnewman]
akeybl: approval‑mozilla‑aurora+
Details

Description Allison Naaktgeboren :ally 2011-12-09 16:19:42 PST

    
Comment 1 Richard Newman [:rnewman] 2011-12-21 16:16:29 PST
Will depend on a Fennec content provider.
Comment 2 Richard Newman [:rnewman] 2012-03-23 11:07:11 PDT
Part 1:

https://hg.mozilla.org/integration/mozilla-inbound/rev/5a555fb12c22
Comment 3 Richard Newman [:rnewman] 2012-03-23 11:11:49 PDT
Created attachment 608782 [details]
Stub for Aurora approval.

Routine Sync approval for Aurora.
Comment 4 Richard Newman [:rnewman] 2012-03-23 12:05:25 PDT
Nick's test procedure:

For reference, this is my test procedure:

 * Test Fennec -> Desktop
   - Add new form item in Fennec
   - Sync device, Sync desktop, check appears on Desktop
   - Delete form item in Fennec
   - Sync device, Sync desktop, check item no longer appears on Desktop, and is not revived in Fennec
     * THIS DOES NOT WORK
     * Instead, check that server has correct deleted record (using Dump the cleartext of each record in a collection
       to the console. from https://wiki.mozilla.org/Services/Sync/Snippets)
   - Sync device again, check that record is not revived in Fennec
 * Test Desktop -> Fennec
   - Add new form item in Desktop
   - Sync desktop, Sync device, check appears in Fennec
   - Delete form item in Desktop
   - Sync desktop, Sync device, check item no longer appears in Fennec, and is not revived in Desktop
 * Test reconcile same
   - Add new form item in Desktop
   - Add same form item in Fennec with same form value
   - Sync desktop, then sync device
   - Check single form item with Desktop GUID appears in Fennec and Desktop, and has Desktop's form value in both
 * Test reconcile different
   - Add new form item in Desktop
   - Add same form item in Fennec with different form value
   - Sync desktop, then sync device
   - Check two form items appear in Fennec and Desktop
Comment 5 Ed Morley [:emorley] 2012-03-24 14:02:49 PDT
(In reply to Richard Newman [:rnewman] from comment #2)
> Part 1:
> 
> https://hg.mozilla.org/integration/mozilla-inbound/rev/5a555fb12c22

https://hg.mozilla.org/mozilla-central/rev/5a555fb12c22
Comment 6 Alex Keybl [:akeybl] 2012-03-26 15:22:11 PDT
Comment on attachment 608782 [details]
Stub for Aurora approval.

[Triage Comment]
If these changes are mobile-only and are not dependent upon the Maple uplift to Aurora, a=akeybl for Aurora 13.
Comment 7 Allison Naaktgeboren :ally 2012-03-30 11:21:33 PDT
work for this is on github, and is progressing there.
Comment 8 Richard Newman [:rnewman] 2012-04-03 16:45:30 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/9638f8e27e00
Comment 9 Richard Newman [:rnewman] 2012-04-03 16:56:12 PDT
Note that this is preffed off (well, hard-coded disabled) by design: this'll have a big performance impact until batching lands.

When I find the bug number for that, I'll set the appropriate dependencies and file a follow-up to pref on.
Comment 10 Marco Bonardo [::mak] 2012-04-04 04:59:47 PDT
https://hg.mozilla.org/mozilla-central/rev/9638f8e27e00
Comment 11 Mark Finkle (:mfinkle) (use needinfo?) 2012-04-04 10:27:17 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/bf8c6122a969

Note You need to log in before you can comment on or make changes to this bug.